Index: configuration-file/pure-ftpd.conf.in
===================================================================
--- configuration-file/pure-ftpd.conf.in.orig
+++ configuration-file/pure-ftpd.conf.in
@@ -37,7 +37,7 @@ BrokenClientsCompatibility  no
 
 # Maximum number of simultaneous users
 
-MaxClientsNumber            50
+MaxClientsNumber            10
 
 
 
@@ -49,7 +49,7 @@ Daemonize                   yes
 
 # Maximum number of sim clients with the same IP address
 
-MaxClientsPerIP             8
+MaxClientsPerIP             3
 
 
 
@@ -59,6 +59,9 @@ MaxClientsPerIP             8
 VerboseLog                  no
 
 
+# Allow dot-files
+AllowDotFiles               yes
+
 
 # List dot-files even when the client doesn't send "-a".
 
@@ -68,7 +71,7 @@ DisplayDotFiles             yes
 
 # Don't allow authenticated users - have a public anonymous FTP only.
 
-AnonymousOnly               no
+AnonymousOnly               yes
 
 
 
@@ -107,23 +110,23 @@ MaxIdleTime                 15
 
 # LDAP configuration file (see README.LDAP)
 
-# LDAPConfigFile                /etc/pureftpd-ldap.conf
+# LDAPConfigFile                /etc/pure-ftpd/pureftpd-ldap.conf
 
 
 
 # MySQL configuration file (see README.MySQL)
 
-# MySQLConfigFile               /etc/pureftpd-mysql.conf
+# MySQLConfigFile               /etc/pure-ftpd/pureftpd-mysql.conf
 
 
 # Postgres configuration file (see README.PGSQL)
 
-# PGSQLConfigFile               /etc/pureftpd-pgsql.conf
+# PGSQLConfigFile               /etc/pure-ftpd/pureftpd-pgsql.conf
 
 
 # PureDB user database (see README.Virtual-Users)
 
-# PureDB                        /etc/pureftpd.pdb
+# PureDB                        /etc/pure-ftpd/pureftpd.pdb
 
 
 # Path to pure-authd socket (see README.Authentication-Modules)
@@ -134,7 +137,7 @@ MaxIdleTime                 15
 
 # If you want to enable PAM authentication, uncomment the following line
 
-# PAMAuthentication             yes
+PAMAuthentication             yes
 
 
 
@@ -177,7 +180,7 @@ MaxLoad                     4
 
 # Port range for passive connections replies. - for firewalling.
 
-# PassivePortRange          30000 50000
+PassivePortRange                30000 30100
 
 
 
@@ -231,7 +234,7 @@ AntiWarez                   yes
 # File creation mask. <umask for files>:<umask for dirs> .
 # 177:077 if you feel paranoid.
 
-Umask                       133:022
+Umask                       177:077
 
 
 
@@ -257,7 +260,7 @@ AllowAnonymousFXP           no
 # even if they own them. If TrustedGID is enabled, this group
 # will have access to dot-files, though.
 
-ProhibitDotFilesWrite       no
+ProhibitDotFilesWrite       yes
 
 
 
@@ -270,13 +273,13 @@ ProhibitDotFilesRead        no
 # Never overwrite files. When a file whoose name already exist is uploaded,
 # it get automatically renamed to file.1, file.2, file.3, ...
 
-AutoRename                  no
+AutoRename                  yes
 
 
 
 # Disallow anonymous users to upload new files (no = upload is allowed)
 
-AnonymousCantUpload         no
+AnonymousCantUpload         yes
 
 
 
@@ -372,7 +375,7 @@ MaxDiskUsage               99
 
 # Set to 'yes' if you don't want your users to rename files.
 
-#NoRename                  yes
+NoRename                  yes
 
 
 
@@ -442,3 +445,4 @@ CustomerProof              yes
 
 # FileSystemCharset	big5
 # ClientCharset		big5
+
Index: pureftpd-mysql.conf
===================================================================
--- pureftpd-mysql.conf.orig
+++ pureftpd-mysql.conf
@@ -19,17 +19,18 @@
 
 # Optional : define the location of mysql.sock if the server runs on this host.
 
-MYSQLSocket     /tmp/mysql.sock
+MYSQLSocket     /var/lib/mysql/mysql.sock
 
 
 # Mandatory : user to bind the server as.
-
-MYSQLUser       root
-
+#
+# using the Database root user is always a bad idea.
+#
+MYSQLUser       ftpd
 
 # Mandatory : user password. You must have a password.
 
-MYSQLPassword   rootpw
+MYSQLPassword   ftpdpw
 
 
 # Mandatory : database to open.
Index: pureftpd-pgsql.conf
===================================================================
--- pureftpd-pgsql.conf.orig
+++ pureftpd-pgsql.conf
@@ -16,6 +16,7 @@ PGSQLPort       5432
 # PGSQLPort       .s.PGSQL.5432
 
 # Mandatory : user to bind the server as.
+
 PGSQLUser       postgres
 
 # Mandatory : user password. You *must* have a password.
